haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Interface

# Documentation

data Interface Source #

Constructors

Interface |

Fields

- ifTypeInit :: Maybe Text
- ifCType :: Maybe Text
- ifDocumentation :: Documentation
- ifPrerequisites :: [Name]
- ifProperties :: [Property]
- ifSignals :: [Signal]
- ifMethods :: [Method]
- ifAllocationInfo :: AllocationInfo
- ifDeprecated :: Maybe DeprecationInfo

#### Instances

Instances details

Show Interface Source # |
Instance details Defined in Data.GI.GIR.Interface Methods showsPrec :: Int -> Interface -> ShowS Source # show :: Interface -> String Source # showList :: [Interface] -> ShowS Source #

parseInterface :: Parser (Name, Interface) Source #